GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Functions | Variables
reaclib.cpp File Reference
`#include "fourdst/composition/atomicSpecies.h"`
`#include "fourdst/composition/species.h"`
`#include "gridfire/reaction/reaclib.h"`
`#include "gridfire/reaction/reactions_data.h"`
`#include "gridfire/network.h"`
`#include <stdexcept>`
`#include <sstream>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | gridfire::reaclib::ReactionRecord

## Namespaces
namespace | gridfire
namespace | gridfire::reaclib

## Functions
std::string | trim_whitespace (const std::string &str)
std::ostream & | gridfire::reaclib::operator<< (std::ostream &os, const ReactionRecord &r)
static std::vector< fourdst::atomic::Species > | gridfire::reaclib::parseSpeciesString (const std::string_view str)
static void | gridfire::reaclib::initializeAllReaclibReactions ()
const reaction::LogicalReactionSet & | gridfire::reaclib::get_all_reactions ()
| Provides global access to the fully initialized REACLIB reaction set.

## Variables
static reaction::LogicalReactionSet * | gridfire::reaclib::s_all_reaclib_reactions_ptr = nullptr

## Function Documentation

## ◆ trim_whitespace()

std::string trim_whitespace | ( | const std::string & | str | ) |

Definition at line 13 of file reaclib.cpp.